Skip to main content

STU3 Appointment

The Appointment resource describes an "booking of a healthcare event among patient(s), practitioner(s), related person(s) and/or device(s) for a specific date/time. This may result in one or more Encounter(s)." HL7 FHIR STU3 Appointment

Supported Profiles

This API supports the following FHIR profiles:

Operations

The General Purpose STU3 API Appointment resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED----
myAvatar----
myEvolv----
myUnity----
info

Not all Netsmart solutions support Appointment search. See supported operations table above and consult your target solution's documentation for more information.

This operation retrieves a list of resources by these query parameters.

Standard Parameters

NameTypeDescription
patientreferenceREQUIRED One of the individuals of this appointment is the patient

Custom Parameters

NameTypeDescription
enddateEpisode start date/time
startdateEpisode end date/time

Search Examples

Via POST

The POST method is recommended as it keeps health information out of the URL.

Search by Patient
curl -X POST https://fhir.netsmartcloud.com/fhir/Appointment/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/678"
Via GET
Search by Patient
curl -X GET "https://fhir.netsmartcloud.com/fhir/Appointment?patient=Patient/678" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"